Debian Bug report logs - #591132
libjavascript-perl: FTBFS: failed test

version graph

Package: src:libjavascript-perl; Maintainer for src:libjavascript-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 31 Jul 2010 22:58:19 UTC

Severity: serious

Tags: confirmed, sid, squeeze

Found in version libjavascript-perl/1.16-2

Fixed in version libjavascript-perl/1.16-3

Done: Nicholas Bamber <nicholas@periapt.co.uk>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=60120

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Sat, 31 Jul 2010 22:58:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 31 Jul 2010 22:58:22 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libjavascript-perl: FTBFS: failed test
Date: Sat, 31 Jul 2010 18:43:59 -0400
Source: libjavascript-perl
Version: 1.16-2
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100731 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/user-libjavascript-perl_1.16-2-amd64-LlAk2e/libjavascript-perl-1.16'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
> t/00-init.t ....................... ok
> t/01-types-from-js.t .............. ok
> t/02-types-from-perl.t ............ ok
> t/03-call.t ....................... ok
> t/04-prototypes.t ................. ok
> t/05-deep-assign.t ................ ok
> t/06-bind-object.t ................ ok
> t/07-eval-file.t .................. ok
> t/08-can.t ........................ ok
> t/09-script.t ..................... ok
> Here
> t/10-round-trip.t ................. ok
> t/11-recursive.t .................. ok
> t/12-destroy.t .................... ok
> t/13-in-context.t ................. ok
> t/14-roundtrip-function.t ......... ok
> t/15-function.t ................... ok
> t/16-object.t ..................... ok
> t/18-interrupt-handler.t .......... ok
> t/19-engine-version.t ............. ok
> t/20-bind-class.t ................. ok
> t/22-string-attributes.t .......... ok
> t/23-unicode.t .................... ok
> t/24-c-level-interrupt-handler.t .. ok
> 
> #   Failed test at t/26-e4x.t line 24.
> #          got: undef
> #     expected: '<xml>this is an E4X object</xml>'
> # Looks like you failed 1 test of 2.
> t/26-e4x.t ........................ 
> Dubious, test returned 1 (wstat 256, 0x100)
> Failed 1/2 subtests 
> t/27-supports.t ................... ok
> # here I am!
> t/28-test-javascript-more.t ....... ok
> t/29-exceptions.t ................. ok
> t/30-refcount.t ................... ok
> t/31-version.t .................... ok
> t/32-perlarray.t .................. ok
> t/33-perlhash.t ................... ok
> t/34-options.t .................... ok
> # $VAR1 = qr/(?-xism:foo)/;
> t/35-regexp.t ..................... ok
> t/36-generator.t .................. ok
> t/99-bottles-of-beer.t ............ ok
> t/pod-coverage.t .................. ok
> t/pod.t ........................... ok
> 
> Test Summary Report
> -------------------
> t/26-e4x.t                      (Wstat: 256 Tests: 2 Failed: 1)
>   Failed test:  1
>   Non-zero exit status: 1
> Files=37, Tests=343,  2 wallclock secs ( 0.14 usr  0.04 sys +  2.36 cusr  0.25 csys =  2.79 CPU)
> Result: FAIL
> Failed 1/37 test programs. 1/343 subtests failed.
> make[1]: *** [test_dynamic] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/07/31/libjavascript-perl_1.16-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) confirmed. Request was from Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> to control@bugs.debian.org. (Mon, 02 Aug 2010 06:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Thu, 05 Aug 2010 22:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 05 Aug 2010 22:24:04 GMT) Full text and rfc822 format available.

Message #12 received at 591132@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: 591132@bugs.debian.org
Subject: broken by latest xulrunner - forwarded upstream
Date: Thu, 5 Aug 2010 18:21:09 -0400
forwarded 591132 https://rt.cpan.org/Public/Bug/Display.html?id=60120
thanks

This seems to be triggered by a change in libmozjs. The package builds fine
with libmozjs 1.9.1.10, but not with 1.9.1.11.

I've had a look at the changes between the two, but can't see anything
relevant. I've forwarded it upstream to see if they've got any more clue.

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3




Set Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=60120'. Request was from Chris Butler <chrisb@debian.org> to control@bugs.debian.org. (Fri, 06 Aug 2010 00:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Sat, 21 Aug 2010 18:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 21 Aug 2010 18:36:03 GMT) Full text and rfc822 format available.

Message #19 received at 591132@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 591132@bugs.debian.org
Subject: Re: Bug#591132: broken by latest xulrunner - forwarded upstream
Date: Sat, 21 Aug 2010 21:33:23 +0300
[Message part 1 (text/plain, inline)]
On Thu, Aug 05, 2010 at 06:21:09PM -0400, Chris Butler wrote:
> forwarded 591132 https://rt.cpan.org/Public/Bug/Display.html?id=60120
> thanks
> 
> This seems to be triggered by a change in libmozjs. The package builds fine
> with libmozjs 1.9.1.10, but not with 1.9.1.11.
> 
> I've had a look at the changes between the two, but can't see anything
> relevant. I've forwarded it upstream to see if they've got any more clue.

The error in $@ after the parsing failure is
 XML cannot be the whole program at main line 21 in 2 

I'm pretty sure the relevant change is
 http://hg.mozilla.org/releases/mozilla-1.9.1/rev/d4b2224cf458

which unfortunately points to the non public bug
 https://bugzilla.mozilla.org/show_bug.cgi?id=568148

Background of the 'XML cannot be the whole program' error can be found at
 http://hg.mozilla.org/releases/mozilla-1.9.1/rev/c4ba70070012
 https://bugzilla.mozilla.org/show_bug.cgi?id=375250

As I understand it, the test for basic E4X functionality got broken by
a security related change that now rejects treating pure XML as valid
top level JavaScript.

A workaround is to change the test so that it mixes some real JavaScript
code with the XML element, for example by explicitly getting the value
of the object. See the attached patch.

It's possible that the code should rather be changed to work around
this (perhaps by adding an extra call frame?). I'll take this up in the
upstream ticket next.
-- 
Niko Tyni   ntyni@debian.org
[0001-Fix-E4X-test-failure-with-new-SpiderMonkey-versions.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Sun, 10 Oct 2010 23:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 10 Oct 2010 23:27:02 GMT) Full text and rfc822 format available.

Message #24 received at 591132@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 591132@bugs.debian.org
Subject: libmozjs-dev has been removed!
Date: Mon, 11 Oct 2010 00:14:20 +0100
[Message part 1 (text/plain, inline)]
libmozjs-dev has been removed from unstable/experimental. As such I think we could ask for this package to be removed and close the ticket. This is a shame.


[nicholas.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Mon, 11 Oct 2010 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 11 Oct 2010 16:18:03 GMT) Full text and rfc822 format available.

Message #29 received at 591132@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 591132@bugs.debian.org
Subject: Re: Bug#591132: libmozjs-dev has been removed!
Date: Mon, 11 Oct 2010 19:17:03 +0300
On Mon, Oct 11, 2010 at 12:14:20AM +0100, Nicholas Bamber wrote:
> libmozjs-dev has been removed from unstable/experimental. As such I think we could ask for this package to be removed and close the ticket. This is a shame.

Why do you think it's been removed? I see it in sid just fine.

Package: libmozjs-dev
Version: 1.9.1.13-1
Source: iceweasel (3.5.13-1)

-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Mon, 11 Oct 2010 16:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 11 Oct 2010 16:39:06 GMT) Full text and rfc822 format available.

Message #34 received at 591132@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 591132@bugs.debian.org
Subject: Removal of libmozjs-dev
Date: Mon, 11 Oct 2010 17:34:11 +0100
[Message part 1 (text/plain, inline)]
http://packages.qa.debian.org/x/xulrunner.html says that this has been 
removed from unstable and experimental:


"This package is neither part of unstable nor experimental. This 
probably means that the package has been removed 
<http://ftp-master.debian.org/removals.txt> (or has been renamed). Thus 
the information here is of little interest ... the package is going to 
disappear unless someone takes it over and reintroduces it into unstable."
[nicholas.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Mon, 11 Oct 2010 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 11 Oct 2010 16:54:03 GMT) Full text and rfc822 format available.

Message #39 received at 591132@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Nicholas Bamber <nicholas@periapt.co.uk>
Cc: 591132@bugs.debian.org
Subject: Re: Bug#591132: Removal of libmozjs-dev
Date: Mon, 11 Oct 2010 09:50:44 -0700
Nicholas Bamber <nicholas@periapt.co.uk> writes:

> http://packages.qa.debian.org/x/xulrunner.html says that this has been
> removed from unstable and experimental:

> "This package is neither part of unstable nor experimental. This probably
> means that the package has been removed
> <http://ftp-master.debian.org/removals.txt> (or has been renamed). Thus
> the information here is of little interest ... the package is going to
> disappear unless someone takes it over and reintroduces it into unstable."

xulrunner was replaced with xulrunner-1.9.2 which is now built from the
iceweasel source package.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Mon, 11 Oct 2010 16:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 11 Oct 2010 16:54:05 GMT) Full text and rfc822 format available.

Message #44 received at 591132@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 591132@bugs.debian.org
Subject: libmozjs-dev
Date: Mon, 11 Oct 2010 17:51:44 +0100
[Message part 1 (text/plain, inline)]
got it. It's moved packages.
[nicholas.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Tue, 12 Oct 2010 03:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micah Gersten <micahg@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 12 Oct 2010 03:03:03 GMT) Full text and rfc822 format available.

Message #49 received at 591132@bugs.debian.org (full text, mbox):

From: Micah Gersten <micahg@ubuntu.com>
To: 591132@bugs.debian.org
Subject: Patch attached to the bug works
Date: Mon, 11 Oct 2010 22:01:23 -0500
[Message part 1 (text/plain, inline)]
The patch that was attached and upstreamed works.  I have attached a
pbuilder build log to show completion of the build.  Since this is an RC
bug, would someone please be able to upload the patch.  I have attached
an nmu debdiff for convenience.

Thank you,
Micah
[libjavascript-perl-nmu.diff (text/x-diff, attachment)]
[libjavascript.log (text/x-log, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Tue, 12 Oct 2010 06:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 12 Oct 2010 06:48:02 GMT) Full text and rfc822 format available.

Message #54 received at 591132@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Micah Gersten <micahg@ubuntu.com>, 591132@bugs.debian.org
Subject: Re: Bug#591132: Patch attached to the bug works
Date: Tue, 12 Oct 2010 09:44:20 +0300
On Mon, Oct 11, 2010 at 10:01:23PM -0500, Micah Gersten wrote:
> The patch that was attached and upstreamed works.  I have attached a
> pbuilder build log to show completion of the build.  Since this is an RC
> bug, would someone please be able to upload the patch.  I have attached
> an nmu debdiff for convenience.

It certainly works, but I'd have loved to see an upstream comment first.

I just pinged the CPAN ticket, so I suggest waiting a little while more
(say a week?) if possible before uploading.

Thanks for the prod,
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Tue, 12 Oct 2010 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 12 Oct 2010 06:51:03 GMT) Full text and rfc822 format available.

Message #59 received at 591132@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Micah Gersten <micahg@ubuntu.com>, 591132@bugs.debian.org
Subject: Re: Bug#591132: Patch attached to the bug works
Date: Tue, 12 Oct 2010 07:39:15 +0100
[Message part 1 (text/plain, inline)]
I am having a look.

Micah Gersten wrote:
> The patch that was attached and upstreamed works.  I have attached a
> pbuilder build log to show completion of the build.  Since this is an RC
> bug, would someone please be able to upload the patch.  I have attached
> an nmu debdiff for convenience.
>
> Thank you,
> Micah
>   
> ------------------------------------------------------------------------
>
> _______________________________________________
> pkg-perl-maintainers mailing list
> pkg-perl-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-perl-maintainers

[nicholas.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Tue, 12 Oct 2010 07:03:03 GMT) Full text and rfc822 format available.

Message #62 received at 591132@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 591132@bugs.debian.org, 591132-submitter@bugs.debian.org
Subject: Bug in libjavascript-perl fixed in revision 63633
Date: Tue, 12 Oct 2010 07:01:04 +0000
tag 591132 + pending
thanks

Some bugs are closed in revision 63633
by Nicholas Bamber (periapt-guest)

Commit message:

* Add patch for e4x test failure (Closes: #591132) 
* Added myself to Uploaders
* Upped standards version to 3.9.1
* Refreshed patches




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 12 Oct 2010 07:03:05 GMT) Full text and rfc822 format available.

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#591132. (Tue, 12 Oct 2010 07:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591132; Package src:libjavascript-perl. (Tue, 12 Oct 2010 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 12 Oct 2010 08:03:03 GMT) Full text and rfc822 format available.

Message #72 received at 591132@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Niko Tyni <ntyni@debian.org>, 591132@bugs.debian.org
Cc: Micah Gersten <micahg@ubuntu.com>
Subject: Re: Bug#591132: Patch attached to the bug works
Date: Tue, 12 Oct 2010 08:53:25 +0100
[Message part 1 (text/plain, inline)]
I have done the integration work but I will hold off releasing.

Niko Tyni wrote:
> On Mon, Oct 11, 2010 at 10:01:23PM -0500, Micah Gersten wrote:
>   
>> The patch that was attached and upstreamed works.  I have attached a
>> pbuilder build log to show completion of the build.  Since this is an RC
>> bug, would someone please be able to upload the patch.  I have attached
>> an nmu debdiff for convenience.
>>     
>
> It certainly works, but I'd have loved to see an upstream comment first.
>
> I just pinged the CPAN ticket, so I suggest waiting a little while more
> (say a week?) if possible before uploading.
>
> Thanks for the prod,
>   

[nicholas.vcf (text/x-vcard, attachment)]

Reply sent to Nicholas Bamber <nicholas@periapt.co.uk>:
You have taken responsibility. (Sun, 17 Oct 2010 16:21:12 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 17 Oct 2010 16:21:12 GMT) Full text and rfc822 format available.

Message #77 received at 591132-close@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 591132-close@bugs.debian.org
Subject: Bug#591132: fixed in libjavascript-perl 1.16-3
Date: Sun, 17 Oct 2010 16:17:31 +0000
Source: libjavascript-perl
Source-Version: 1.16-3

We believe that the bug you reported is fixed in the latest version of
libjavascript-perl, which is due to be installed in the Debian FTP archive:

libjavascript-perl_1.16-3.debian.tar.gz
  to main/libj/libjavascript-perl/libjavascript-perl_1.16-3.debian.tar.gz
libjavascript-perl_1.16-3.dsc
  to main/libj/libjavascript-perl/libjavascript-perl_1.16-3.dsc
libjavascript-perl_1.16-3_amd64.deb
  to main/libj/libjavascript-perl/libjavascript-perl_1.16-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591132@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicholas Bamber <nicholas@periapt.co.uk> (supplier of updated libjavascript-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 17 Oct 2010 16:19:12 +0100
Source: libjavascript-perl
Binary: libjavascript-perl
Architecture: amd64 source
Version: 1.16-3
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Nicholas Bamber <nicholas@periapt.co.uk>
Closes: 591132
Description: 
 libjavascript-perl - module for executing embedded JavaScript
Changes: 
 libjavascript-perl (1.16-3) unstable; urgency=low
 .
   * Add patch for e4x test failure (Closes: #591132)
   * Added myself to Uploaders
   * Upped standards version to 3.9.1
   * Refreshed patches
   * Refreshed copyright
Checksums-Sha1: 
 e3806d7a0dcf44ed195c9f1a30ab6c8aadc51fbd 2352 libjavascript-perl_1.16-3.dsc
 8a72e5359efc3b7a01fc22aa45cfe9d7d037ece2 7790 libjavascript-perl_1.16-3.debian.tar.gz
 fba96fde1b5001739d94b513105c0db628ce4d04 97456 libjavascript-perl_1.16-3_amd64.deb
Checksums-Sha256: 
 bb2c74fad3350f2b427f51dfa802e092d300179b2444bed1d1b82177529e2ef2 2352 libjavascript-perl_1.16-3.dsc
 1074237f21d1687c67f26f88e299f206d0fe71eabb96a3954b25d614504bd693 7790 libjavascript-perl_1.16-3.debian.tar.gz
 3a4a5342522a0de717b414039b0103cb43d2214e3a9e043e21349504573b5cf6 97456 libjavascript-perl_1.16-3_amd64.deb
Files: 
 877ec55f705c70adbf463c695d087e09 2352 perl optional libjavascript-perl_1.16-3.dsc
 7fee6807879d1c67e29eb6233e511a1c 7790 perl optional libjavascript-perl_1.16-3.debian.tar.gz
 776ecd1f806cf4a074528ebecbb13982 97456 perl optional libjavascript-perl_1.16-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJMux8mAAoJEIATJTTdNH3ILrUP/1ZqCdpppSB3oUObWtnhHcYa
5KqP+Fa2kAffOCSwqAojwe3lVq5wXtZb9OQW/w4bbmurjPW2FRRGmgLV65KQ/fyP
sWuwWCEgSyOZIDUx8qscK9fSooQEc5pyoPJP7w/QJV3MNiU8aW8G20d8vR70MYge
B+U5P2LXrbkDbd2BebZ8RdeuU38WiZe61JT6zBjchu0ksmBE8YCwVVraZ8nP2mSH
GQHE0lVzLVSw6Cugj2ySRohKfPfHpV40mNNkFT8TdyID4ldczppKbrKbTRDWjbMw
DjUStqsMIq4CxutnlrezVtYgmQDLXsqHCyxpWcxpWsH1QpJJfQK5pFjCoJjhDuA+
t/UFXxY/b7fsoB32F92KYvjWEhjDutuO12/Ulikh2IPvjg+469PvMF4UR0L5OmNV
G2glQ50wTOX32ViDu2ORNNUQMo24q0nt10sIxapU1/H3nvL+SmI+mV/1Z3DAvfHw
Pqsr/iKTvSLLV9Ev+YUCij2ycXxDy92hhQCo/aAm+WdsXDZYkrYDE7Hd90NRRgNc
Qk93rzX07SYXgpwnka3QIk45vjWivnmQ3k93C+EVol6aRG3rBGib8psAnvPQug9T
hNovtAlqryQ2k8Y8TME9/mx6QZFsAiqxgP47F16zd34ImZJqWLn0Iwh/6T4aVzDM
RTiSAqFMaUIDiVjzM/Qm
=0nQW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Nov 2010 07:31:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:47:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.